com.google.web.bindery.autobean.shared

## Interface AutoBeanVisitor.PropertyContext

All Known Subinterfaces:
  AutoBeanVisitor.CollectionPropertyContext, AutoBeanVisitor.MapPropertyContext

Enclosing class:
  AutoBeanVisitor

    public static interface AutoBeanVisitor.PropertyContext

Allows properties to be reset.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(AutoBeanVisitor.ParameterizationVisitor visitor)` Allows deeper inspection of the declared parameterization of the property.
`boolean` `canSet()` Indicates if the `set(java.lang.Object)` method will succeed.
`java.lang.Class<?>` `getType()` Returns the expected type of the property.
`void` `set(java.lang.Object value)` Sets a property value.

### Method Detail

#### accept

    void accept(AutoBeanVisitor.ParameterizationVisitor visitor)

Allows deeper inspection of the declared parameterization of the property.

#### canSet

    boolean canSet()

Indicates if the `set(java.lang.Object)` method will succeed.

Returns:
  `true` if the property can be set

#### getType

    java.lang.Class<?> getType()

Returns the expected type of the property.

Returns:
  a Class object representing the property type

#### set

    void set(java.lang.Object value)

Sets a property value.

Parameters:
  `value` - the new value